
pro go_bogus, infil, ss=ss, res_out=res_out, outdir=outdir, index_cube=index_cube, $
  data_cube=data_cube, compress=compress, no_write=no_write, stag=stag, $
  conv_al2almg=conv_al2almg, short=short

if not exist(res_out) then res_out = 1
if not exist(outdir) then outdir = '/net/dynamo/yohkoh/imax'
if keyword_set(conv_al2almg) then $
  conv_fac = [0b,2.2,1 ] else $
  conv_fac = [0b,1b ,1b]

if not exist(ss) then begin
  rd_roadmap,infil,rmap
  nimg = n_elements(rmap)
  ss = indgen(nimg)
endif else begin
  nimg = n_elements(ss)
endelse

for i=0,nimg-1 do begin
  read_sxt,infil,ss(i),index0,data0
  if not keyword_set(stag) then begin
    bogus_99, index0, data0, index_out, data_out, res_out=res_out, size_out=size_out
  endif else begin
    index_out = index0
    data_out = data0
  endelse
  data_out = data_out/conv_fac(gt_filtb(index_out)-1)

  data_out = data_out > 0
  data_out = data_out < 65535
  data_out = fix(data_out)

  if keyword_set(no_write) then begin
    if i eq 0 then begin
      index_cube = index_out
      data_cube = data_out
    endif else begin
      index_cube = concat_struct(index_cube,index_out)
      data_cube = [[[data_cube]],[[data_out]]]
    endelse
  endif else begin
    outfil = concat_dir(outdir,'sxt_imax_' + gt_filtb(index0,/short) + $
			'_' + time2file(index0) + '.tiff')
    write_tiff16, outfil, data_out
  endelse
  if i mod 10 eq 0 then print,'Completed image ' + strtrim(i,2) + '.'
end

end
